Loading...
Searching...
No Matches
bigWigHdr_t Struct Reference

The header section of a bigWig file. More...

`#include <bigWig.h>`

## Data Fields

uint16_t | version
uint16_t | nLevels
uint64_t | ctOffset
uint64_t | dataOffset
uint64_t | indexOffset
uint16_t | fieldCount
uint16_t | definedFieldCount
uint64_t | sqlOffset
uint64_t | summaryOffset
uint32_t | bufSize
uint64_t | extensionOffset
bwZoomHdr_t * | zoomHdrs
uint64_t | nBasesCovered
double | minVal
double | maxVal
double | sumData
double | sumSquared

## Detailed Description

The header section of a bigWig file.

Some of the values aren't currently used for anything. Others may optionally not exist.

## Field Documentation

## bufSize

uint32_t bigWigHdr_t::bufSize

The compression buffer size (if the data is compressed).

## ctOffset

uint64_t bigWigHdr_t::ctOffset

The offset to the on-disk chromosome tree list.

## dataOffset

uint64_t bigWigHdr_t::dataOffset

The on-disk offset to the first block of data.

## definedFieldCount

uint16_t bigWigHdr_t::definedFieldCount

Number of fixed-format BED fields.

## extensionOffset

uint64_t bigWigHdr_t::extensionOffset

Unused

## fieldCount

uint16_t bigWigHdr_t::fieldCount

Total number of fields.

## indexOffset

uint64_t bigWigHdr_t::indexOffset

The on-disk offset to the data index.

## maxVal

double bigWigHdr_t::maxVal

The maximum value in the file.

## minVal

double bigWigHdr_t::minVal

The minimum value in the file.

## nBasesCovered

uint64_t bigWigHdr_t::nBasesCovered

The total bases covered in the file.

## nLevels

uint16_t bigWigHdr_t::nLevels

The number of "zoom" levels.

## sqlOffset

uint64_t bigWigHdr_t::sqlOffset

The on-disk offset to an SQL string. This is unused.

## sumData

double bigWigHdr_t::sumData

The sum of all values in the file.

## summaryOffset

uint64_t bigWigHdr_t::summaryOffset

If there's a summary, this is the offset to it on the disk.

## sumSquared

double bigWigHdr_t::sumSquared

The sum of the squared values in the file.

## version

uint16_t bigWigHdr_t::version

The version information of the file.

## zoomHdrs

bwZoomHdr_t* bigWigHdr_t::zoomHdrs

Pointers to the header for each zoom level.

The documentation for this struct was generated from the following file:

- bigWig.h